/*
    Counting average and geometry mean of array and finding second smallest value of it.
*/

#include <stdio.h>
#include <math.h>

#define SIZE 10

int main(void)
{
    float array[SIZE] = {1953425.2, 1678.5, 6.7, 8953920.9, 295432.6, 55392.7, 749320.9};

    // Average and geometry mean
    double sum = 0;
    double product = 1; 

    for (int i = 0; i < SIZE; i++) {
        sum += array[i];
        product *= array[i];
    }

    printf("Average: %f.\n", sum/SIZE);
    printf("Geometric mean: %f.\n", pow(product, 1/SIZE));

    // Second highest value in array
    float highest = 0;
    float secondHighest = 0;

    for (int i = 0; i < SIZE; i++) {
        if (array[i] > highest) {
            secondHighest = highest;
            highest = array[i];
        }
        else if (array[i] > secondHighest) {
            secondHighest = array[i];
        }
    }

    printf("Second highest values: %f.\n", secondHighest);

    return 0;
}
