/*
    Exploring relationships between pointers and arrays.
*/

#include <stdio.h>
#include <math.h>

#define SIZE 10

int main(void)
{
    int array[SIZE];
    int* p_array = &array[0]; //array

    *(p_array+2) = 8;
    *(p_array+7) = 7;
    *(p_array) = 5;
    
    printf("array[index]: %d %d %d\n", array[2], array[7], array[0]);

    *(array+2) = 5;
    *(array+7) = 8;
    *(array) = 2;

    printf("*(p_array+index): %d %d %d\n", *(p_array+2), *(p_array+7), *(p_array));
    printf("p_array[index]: %d %d %d\n", p_array[2], p_array[7], p_array[0]);

    return 0;
}
